## ohm 0.1.2-0maemo33+0m5

=== fedora/Makefile ===
PACKAGE := ohm
VERSION := 0.1.2

TOPDIR  := $(shell while [ ! -d fedora -a "`pwd`" != "/" ]; do cd ..; done; \
		   [ -d fedora ] && pwd || exit 1)

ARCH     := i386
RPM      := $(PACKAGE)-$(VERSION).$(ARCH).rpm
SPECFILE := $(TOPDIR)/fedora/$(PACKAGE).spec
TARBALL  := $(TOPDIR)/fedora/$(PACKAGE)-$(VERSION).tar.gz
TARDIR  := $(notdir $(TOPDIR))

STAMP   := $(shell date +%Y-%m-%d-%H%M%S)
TMPDIR  := /tmp/$(PACKAGE)-$(USER)/$(STAMP)


all: rpms cleanup

# rule to build RPM(s) for this package
rpms: rmtar $(SPECFILE) $(TARBALL)
	mkdir -p $(TMPDIR)/{BUILD,RPMS,SOURCES,SPECS} && \
	cp $(SPECFILE) $(TMPDIR)/SPECS && \
	cp $(TARBALL) $(TMPDIR)/SOURCES && \
	rpmbuild --define '_topdir $(TMPDIR)' \
	    -bb $(TMPDIR)/SPECS/$(PACKAGE).spec && \
	cp $(TMPDIR)/RPMS/$(ARCH)/*.rpm $(TOPDIR)/fedora

cleanup:
	rm -fr $(TMPDIR) && \
	rm -f $(SPECFILE)
	rm -f $(TARBALL)

# rules to patch the SPEC file and build a source tarball
$(SPECFILE): $(SPECFILE).in
	cat $< | \
	    sed 's/##__VERSION__##/$(VERSION)/g;s/##__TARDIR__##/$(TARDIR)/g'| \
	    sed 's/##__ARCH__##/$(ARCH)/g' \
	    > $@

$(TARBALL):
	pushd $(TOPDIR) && make distclean || : && ./autogen.sh && popd && \
	pushd $(TOPDIR)/.. && \
	tar -cvzf /tmp/$(notdir $@) \
	    --exclude '*/fedora' \
	    --exclude '*/.git' $(notdir $(TARDIR)) && \
	mv /tmp/$(notdir $@) $@

rmtar:
	rm -f $(TARBALL)

## ohm 0.1.2-0maemo28%2b0m5

=== debian/control ===
Source: ohm
Section: utils
Priority: optional
Maintainer: Krisztian Litkey <krisztian.litkey@nokia.com>
Standards-Version: 3.7.2
Build-Depends: cdbs, debhelper (>= 4.1.0), flex, libhal-dev, libgtk2.0-dev, libtrace-dev (>= 0.0.5), libdbus-1-dev, libdbus-glib-1-dev

Package: ohm
Architecture: any
Depends: libohm-plugin-core0, ${shlibs:Depends}
Recommends: osso-af-startup
XB-GIT-ID: ${Git-Id}
Description: Open Hardware Manager with Nokia policy add-ons.
 Open Hardware Manager Nokia add-ons.
 .
 Open Hardware Manager with Nokia add-ons.

Package: libohm-plugin-core0
Architecture: any
Depends: ${shlibs:Depends}
Provides: ohm-plugin-core0
Conflicts: ohm-plugin-core0
Replaces: ohm-plugin-core0
Section: utils
XB-GIT-ID: ${Git-Id}
Description: Common OHM libraries.
 .
 This package contains libraries needed by both for running OHM and
 developing OHM plugins.

Package: ohm-dev
Architecture: any
Depends: libohm-plugin-core0, ${shlibs:Depends}
Section: libdevel
XB-GIT-ID: ${Git-Id}
Description: Files necessary for OHM plugin development.
 .
 This package contains header files, libraries, pkg-config files, etc.
 necessary for developing OHM plugins.

Package: ohm-plugins-legacy
Architecture: any
Depends: ${shlibs:Depends}
Section: utils
XB-GIT-ID: ${Git-Id}
Description: Legacy Open Hardware Manager plugins.
 .
 Legacy plugins from the basic OHM distribution.

Package: ohm-utils
Architecture: any
Depends: ${shlibs:Depends}
Section: utils
XB-GIT-ID: ${Git-Id}
Description: Miscallaneous OHM utilities.
 .
 This package contains miscallaneous OHM utilities that are either not
 very useful or otherwise not necessary for everyday OHM usage.

Package: ohm-dbg
Priority: extra
Section: utils
Architecture: any
Depends: ohm (= ${binary:Version})
XB-GIT-ID: ${Git-Id}
Description: Debug symbols for OHM.
 Debug symbols for OHM.

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

GIT_VERSION := $(strip $(shell [ -x ./git-version.sh ] && \
                                   ./git-version.sh || echo "unknown"))
DEB_DH_GENCONTROL_ARGS += -u-VGit-Id=$(GIT_VERSION)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# for dbg package
CFLAGS += -g -O2
DEB_DH_STRIP_ARGS += --dbg-package=ohm

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_TAR_SRCDIR = ${DEB_SOURCE_PACKAGE}-${DEB_UPSTREAM_VERSION}

DEB_CONFIGURE_USER_FLAGS = --disable-static --without-xauth --without-dpms --disable-nls
DEB_DH_INSTALL_SOURCEDIR = debian/tmp
DEB_UPDATE_RCD_PARAMS = "start 59 2 3 4 5 . stop 18 0 1 6 ."

ifeq ($(strip $(shell echo $$ENABLE_GPROF)),yes)
DEB_CONFIGURE_USER_FLAGS += --enable-gprof
endif

# Omit *.la files but warn about other missing things.
binary-post-install/ohm::
	rm -f debian/tmp/usr/lib/*.la
common-binary-post-install-arch:: list-missing

post-patches:: debian/stamp-autogen

debian/stamp-autogen:
	cd $(DEB_BUILDDIR) && ./autogen.sh
	touch $@

clean::
	-rm -rf debian/stamp-autogen

# do not include docs and changelogs in these packages
DEB_INSTALL_DOCS_ohm := --no-act
DEB_INSTALL_CHANGELOGS_ohm := --no-act
DEB_INSTALL_DOCS_libohm-plugin-core0 := --no-act
DEB_INSTALL_CHANGELOGS_libohm-plugin-core0 := --no-act
DEB_INSTALL_DOCS_ohm-dev := --no-act
DEB_INSTALL_CHANGELOGS_ohm-dev := --no-act
DEB_INSTALL_DOCS_ohm-utils := --no-act
DEB_INSTALL_CHANGELOGS_ohm-utils := --no-act
DEB_INSTALL_DOCS_ohm-plugins-legacy := --no-act
DEB_INSTALL_CHANGELOGS_ohm-plugins-legacy := --no-act

## ohm 0.1.2-0maemo28+0m5

=== debian/changelog ===
ohm (0.1.2-0maemo28+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kovacs Janos <janos.f.kovacs@nokia.com>  Tue, 22 Sep 2009 15:58:53 +0300

ohm (0.1.2-0maemo28) unstable; urgency=low

  * Start after HAL is started

 -- Janos Kovacs <janos.f.kovacs@nokia.com>  Mon, 21 Aug 2009 10:45:00 +0300
	

ohm (0.1.2-0maemo27) unstable; urgency=low

  * Don't close stdin, stdout and stderr upon re-execing (Fixes: NB#134319).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Wed, 19 Aug 2009 21:45:43 +0300

ohm (0.1.2-0maemo26) unstable; urgency=low

  * Partition creation moved to cgroups plugin.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Tue, 18 Aug 2009 12:52:00 +0300

ohm (0.1.2-0maemo25) unstable; urgency=low

  * Don't disable core dumps globally (Fixes: NB#133137).

 -- Janos Kovacs <janos.f.kovacs@nokia.com>  Fri, 14 Aug 2009 13:48:30 +0300

ohm (0.1.2-0maemo24) unstable; urgency=low

  * Modified partition layouts for cgroups

 -- Janos Kovacs <janos.f.kovacs@nokia.com>  Fri, 07 Aug 2009 02:32:00 +0300

ohm (0.1.2-0maemo23) unstable; urgency=low

  * Don't crash on method-resolution failures.
  * Added support for specifying (plugin) trace flags on the command line.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Thu, 23 Jul 2009 19:32:57 +0300

ohm (0.1.2-0maemo22) unstable; urgency=low

  * Changed plugin method importing/exporting macros to be more macro-safe.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Sat, 18 Jul 2009 19:27:37 +0300

ohm (0.1.2-0maemo21) unstable; urgency=low

  * Treat command line parsing errors fatal.
  * Added command line option to mlock memory after initialization.
  * Start ohm mlocked.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Fri, 10 Jul 2009 01:24:03 +0300

ohm (0.1.2-0maemo20) unstable; urgency=low

  * Start/stop ohmd also in ACT_DEAD state to send initial policy decision to enforcement points.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Wed, 27 May 2009 15:06:25 +0300

ohm (0.1.2-0maemo19) unstable; urgency=low

  * Update views/emit signals only once the last transaction is committed.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 11 May 2009 15:56:22 +0300

ohm (0.1.2-0maemo18) unstable; urgency=low

  * Desperate workaround for exit-path crash (Fixes: NB#111031).
  * Fixes: NB#111062.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Tue, 21 Apr 2009 15:08:37 +0300

ohm (0.1.2-0maemo17) unstable; urgency=low

  * Added ohm_logv to help bridge between potential plugin loggers and OHMs logging infra.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 13 Apr 2009 13:01:02 +0300

ohm (0.1.2-0maemo16) unstable; urgency=low

  * Collect legacy plugins by globbing instead of explicitly listing them.
  * Added ohm_log_disable.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Thu, 09 Apr 2009 18:51:29 +0300

ohm (0.1.2-0maemo15) unstable; urgency=low

  * Added configurable logging for plugins.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Wed, 08 Apr 2009 20:01:04 +0300

ohm (0.1.2-0maemo14) unstable; urgency=low

  * Upstart script change to respawn ohmd.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Fri, 27 Mar 2009 16:10:45 +0200

ohm (0.1.2-0maemo13) unstable; urgency=low

  * Do not wait for the session bus at startup.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Thu, 19 Mar 2009 10:24:39 +0200

ohm (0.1.2-0maemo12) unstable; urgency=low

  * A bit saner DBUS method registration and dispatching.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Thu, 26 Feb 2009 11:39:33 +0200

ohm (0.1.2-0maemo11) unstable; urgency=low

  * Changed to use the rewritten trace library.
  * Destroy plugin symbol table during cleanup.
  * Removed dbus_shutdown-prevention hack, not needed for libmemtrace any more.
  * Fixed some errors reported by static analysis.

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Wed, 18 Feb 2009 15:08:31 +0200

ohm (0.1.2-0maemo10) unstable; urgency=low

  * Fix factstore memory referencing issue.
  * Fix some errors reported by static analysis.

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Tue, 03 Feb 2009 16:27:16 +0200

ohm (0.1.2-0maemo9) unstable; urgency=low

  * Fix factstore memory leak upon transaction commit (Fixes: NB#98082).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Wed, 28 Jan 2009 17:18:22 +0200

ohm (0.1.2-0maemo8) unstable; urgency=low

  * Removed old nokia plugins (Fixes: NB#98151).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Tue, 27 Jan 2009 10:39:58 +0200

ohm (0.1.2-0maemo7) unstable; urgency=low

  * Changed the upstart boot script.

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Tue, 16 Dec 2008 10:58:43 +0200

ohm (0.1.2-0maemo6) unstable; urgency=low

  * Cleanups

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Fri, 28 Nov 2008 12:28:25 +0200

ohm (0.1.2-0maemo5) unstable; urgency=low

  * 

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Thu, 13 Nov 2008 13:53:02 +0200

ohm (0.1.2-0maemo4) unstable; urgency=low

  * Edited the startup script to enable session bus attach at boot

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Tue, 14 Oct 2008 20:18:04 +0300

ohm (0.1.2-0maemo3) unstable; urgency=low

  * Plugin destruction/unloading ordering fixes.
  * Changed SysV startup to later

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Thu, 02 Oct 2008 13:31:23 +0300

ohm (0.1.2-0maemo2) unstable; urgency=low

  * FactStore is now compatible with the latest plugins
  * Changed the SysV init timings

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Mon, 29 Sep 2008 17:50:18 +0300

ohm (0.1.2-0maemo1) unstable; urgency=low

  * D-Bus fixes

 -- Ismo Puustinen <ismo.h.puustinen@nokia.com>  Mon, 08 Sep 2008 17:12:26 +0300

ohm (0.1.2) unstable; urgency=low

  * initial release.

 -- K. Litkey <krisztian.litkey@nokia.com>  Mon, 14 Jan 2008 18:16:29 +0200

## ohm 0.1.2-0maemo30.1+0m5

=== debian/changelog ===
ohm (0.1.2-0maemo30.1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kovacs Janos <janos.f.kovacs@nokia.com>  Mon, 26 Oct 2009 13:58:34 +0200

ohm (0.1.2-0maemo30.1) unstable; urgency=low

  * Initiall version of pr1.0

 -- Janos Kovacs <janos.f.kovacs@nokia.com>  Fri, 23 Oct 2009 15:31:00 +0300

ohm (0.1.2-0maemo30) unstable; urgency=low

  * Honour implicit plugin dependencies (ie. method import dependencies).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Tue, 13 Oct 2009 19:21:55 +0300

ohm (0.1.2-0maemo29) unstable; urgency=low

  * Generate separate main, utils, and plugins-legacy debug packages using CDBS black magic (Fixes: NB141574).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 05 Oct 2009 13:17:42 +0300

## ohm 0.1.2-0maemo31+0m5

=== debian/changelog ===
ohm (0.1.2-0maemo31+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kovacs Janos <janos.f.kovacs@nokia.com>  Thu, 05 Nov 2009 08:04:47 +0200

ohm (0.1.2-0maemo31) unstable; urgency=low

  * Bumped version number (Fixes: NB#145307)

 -- Janos Kovacs <janos.f.kovacs@nokia.com>  Wed, 04 Nov 2009 18:00:00 +0300

=== debian/control ===
--- 
+++ 
@@ -66,3 +66,21 @@
 Description: Debug symbols for OHM.
  Debug symbols for OHM.
 
+Package: ohm-utils-dbg
+Priority: extra
+Section: utils
+Architecture: any
+Depends: ohm-utils (= ${binary:Version})
+XB-GIT-ID: ${Git-Id}
+Description: Debug symbols for OHM utils.
+ Debug symbols for OHM utils.
+
+Package: ohm-plugins-legacy-dbg
+Priority: extra
+Section: utils
+Architecture: any
+Depends: ohm-plugins-legacy (= ${binary:Version})
+XB-GIT-ID: ${Git-Id}
+Description: Debug symbols for OHM legacy plugins.
+ Debug symbols for OHM legacy plugins.
+

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 
 # for dbg package
 CFLAGS += -g -O2
-DEB_DH_STRIP_ARGS += --dbg-package=ohm
+DEB_DH_STRIP_ARGS += --dbg-package=ohm --dbg-package=ohm-utils \
+	             --dbg-package=ohm-plugins-legacy
 
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk

## ohm 0.1.2-0maemo33+0m5

=== debian/changelog ===
ohm (0.1.2-0maemo33+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Litkey Krisztian <krisztian.litkey@nokia.com>  Mon, 22 Feb 2010 16:44:34 +0200

ohm (0.1.2-0maemo33) unstable; urgency=low

  * Build-depend on libmlocknice, build support for it if available.
  * Plugin descriptors cannot be const (ie. potentially write-protected).
  * Don't crash if the plugin dir cannot be opened, patch by Tommi Saviranta. (Fixes: NB 149932).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Mon, 22 Feb 2010 12:32:50 +0200

ohm (0.1.2-0maemo32) unstable; urgency=low

  * Support for OSSO mlocknice (Fixes: NB#147979).

 -- Krisztian Litkey <krisztian.litkey@nokia.com>  Tue, 01 Dec 2009 16:18:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Krisztian Litkey <krisztian.litkey@nokia.com>
 Standards-Version: 3.7.2
-Build-Depends: cdbs, debhelper (>= 4.1.0), flex, libhal-dev, libgtk2.0-dev, libtrace-dev (>= 0.0.5), libdbus-1-dev, libdbus-glib-1-dev
+Build-Depends: cdbs, debhelper (>= 4.1.0), flex, libhal-dev, libgtk2.0-dev, libtrace-dev (>= 0.0.5), libdbus-1-dev, libdbus-glib-1-dev, libmlocknice-dev
 
 Package: ohm
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 DEB_TAR_SRCDIR = ${DEB_SOURCE_PACKAGE}-${DEB_UPSTREAM_VERSION}
 
-DEB_CONFIGURE_USER_FLAGS = --disable-static --without-xauth --without-dpms --disable-nls
+DEB_CONFIGURE_USER_FLAGS = --disable-static --without-xauth --without-dpms --disable-nls --enable-mlocknice=auto
 DEB_DH_INSTALL_SOURCEDIR = debian/tmp
 DEB_UPDATE_RCD_PARAMS = "start 59 2 3 4 5 . stop 18 0 1 6 ."
